<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$idDoc=$sessao->getVar('transfere');
$colunas=$sessao->getVar('controle3');


// Descreve o caminho e nome do arquivo .CSV a ser gerado ou atualizado  
$file_path = 'oto2015.csv';  
  
  
// Cria uma variável dados com valor null  
$dados = '';  
 
 
  
  
// Informa os dados da primeira linha (cabeçalho) do arquivo .CSV a ser gerado  
/*  
$dados .= 'Culitivar,';  
$dados .= 'Pureza,';  
$dados .="\n";  
  
// Recebe e armazena na variável "dados" todos os Valores a constar no arquivo (o  é necessário para quebrar a linha)  
    $dados .= "Monsoy667788,";  
    $dados .= "98,7";  
    $dados .= "\n";  
  
    $dados .= "IPRO556677,";  
	$dados .= "100,0";  
    $dados .= "\n";  
  
    $dados .= "IPRO556677,";  
   	$dados .= "98,5"; 
    $dados .= "\n";  
  
    $dados .= "IPRO3839RR,";  
   	$dados .= "99,9"; 
	$dados .= "\n";  

    $dados .= utf8_decode("GARÇA BRANCA,");  
   	$dados .= "99,9"; 
	$dados .= "\n"; 
*/	
	
	 
echo("entrou aqui no csv8<br>");
  
//embutido///////////
//ENTRA DE QUAKQUER MANEIRA
//echo("3xxxxxxxxxxxxxxidDocumento= $idDoc<br>");
$generica=new tabelagenerica();
$generica->tabela="tempsila";
$generica->campos_valores = array(
		"obs1" => NULL,
		"obs2" => NULL,
		"obs3" => NULL,
		"obs4" => NULL,
		"obs5" => NULL,
		"obs6" => NULL,
		"obs7" => NULL,
		"obs8" => NULL,
		"obs9" => NULL,
		"obs10" => NULL,
		"obs11" => NULL,
		"obs12" => NULL,
		"obs13" => NULL,
		"obs14" => NULL,
		"obs15" => NULL,
		"obs16" => NULL,
		"obs17" => NULL,
		"obs18" => NULL,
		"obs19" => NULL,
		"obs20" => NULL,
	);
$generica->extras_select =" ";
//echo("eeeeexxxxxxxxxxxxxxxxxxxxxxxxxxeeeeeeerro $generica->extras_select <br>");
$contaAmostras=0;
$generica->selecionaCampos($generica);
$totalCampos=$sessao->getVar('controle3');
//$totalCampos=5;
//despeja numa matriz denominada dados(ver exemplo comentado desta matriz )
while ($resgenerica = $generica->retornaDados()):
    //$dados .=$resgenerica->obs1.','; // "Monsoy667788,";  
    //$dados .=$colunas.','; // "Monsoy667788,";  
    //$dados .=$resgenerica->obs3.','; // "Monsoy667788,";  
    //$dados .=$resgenerica->obs4; // "Monsoy667788,";  
    //$dados .= "98,7";  
    //$dados .= "\n";  

    //aqui captura e organiza os dados 
	$matriz[1]=$resgenerica->obs1;
	$matriz[2]=$resgenerica->obs2;
	$matriz[3]=$resgenerica->obs3;
	$matriz[4]=$resgenerica->obs4;
	$matriz[5]=$resgenerica->obs5;
	$matriz[6]=$resgenerica->obs6;
	$matriz[7]=$resgenerica->obs7;
	$matriz[8]=$resgenerica->obs8;
	$matriz[9]=$resgenerica->obs9;
	$matriz[10]=$resgenerica->obs10;
	$matriz[11]=$resgenerica->obs11;
	$matriz[12]=$resgenerica->obs12;
	$matriz[13]=$resgenerica->obs13;
	$matriz[14]=$resgenerica->obs14;
	$matriz[15]=$resgenerica->obs15;
	$matriz[16]=$resgenerica->obs16;
	$matriz[17]=$resgenerica->obs17;
	$matriz[18]=$resgenerica->obs18;
	$matriz[19]=$resgenerica->obs19;
	$matriz[20]=$resgenerica->obs20;
    //aqui cria a concatenacao usando vigula
	for($i=1;$i<=$colunas-2;$i++):
	  $dados .=$matriz[$i].',';
	endfor;
    //coloca em cada linha o ultimo conteudo sem vigula e depois um saltador de linha
    $dados .=$matriz[$colunas-1];//elemento sem a virgula
    $dados .= "\n";  
endwhile;



///fim do embutido

  
  
  
  
  
  
//Verifica se vc tem permissão de leitura e escrita neste diretorio  
if(fwrite($file=fopen($file_path,'w+'),$dados)):  
//if(fwrite($file=fopen($file_path,'w+'),$matriz)):  
	fclose($file); 
	echo "Arquivo gravado com sucesso!<br>";
	?>  
	<!-- Cria um link para download do arquivo -->  
	<a href="oto2015.csv">Clique aqui para realizar o download do arquivo .CSV</a>  
	<?php  
else:  
	echo "Problemas ao gerar o arquivo, tente novamente!";  
endif;  



?>